Endpoint
Endpoint represents a cloud networking resource in a user's cloud account and binds it to the <Databricks> account.
Endpoint object
Endpoint represents a cloud networking resource in a user's cloud account and binds it to the <Databricks> account.
- namestring
The resource name of the endpoint, which uniquely identifies the endpoint.
- endpoint_idstring
The unique identifier for this endpoint under the account. This field is a UUID generated by <Databricks>.
- account_idstring
The Databricks Account in which the endpoint object exists.
- display_namestring
The human-readable display name of this endpoint. The input should conform to RFC-1034, which restricts to letters, numbers, and hyphens, with the first character a letter, the last a letter or a number, and a 63 character maximum.
- use_casestring
The use case that determines the type of network connectivity this endpoint provides. This field is automatically determined based on the endpoint configuration and cloud-specific settings.
- regionstring
The cloud provider region where this endpoint is located.
- statestring
The state of the endpoint. The endpoint can only be used if the state is
APPROVED.
- azure_private_endpoint_infoobject
Info for an Azure private endpoint.
Show child attributesHide child attributes
- private_endpoint_namestring
The name of the Private Endpoint in the Azure subscription.
- private_endpoint_resource_guidstring
The GUID of the Private Endpoint resource in the Azure subscription. This is assigned by Azure when the user sets up the Private Endpoint.
- private_endpoint_resource_idstring
The full resource ID of the Private Endpoint.
- private_link_service_idstring
The resource ID of the Databricks Private Link Service that this Private Endpoint connects to.
- create_timestring
The timestamp when the endpoint was created. The timestamp is in RFC 3339 format in UTC timezone.
Get GA
GET
Gets details of a specific network endpoint.
API scopes: provisioning
Parameters
- namestringpath
Response
Returns the Endpoint object.
List GA
GET
Lists all network connectivity endpoints for the account.
API scopes: provisioning
Parameters
- parentstringpath
The parent resource name of the account to list endpoints for. Format:
accounts/{account_id}.
- page_tokenstringquery
- page_sizeint32query
Response
Returns a list of Endpoint objects.
Create GA
POST
Creates a new network connectivity endpoint that enables private connectivity between your network resources and <Databricks> services.
After creation, the endpoint is initially in the PENDING state. The <Databricks> endpoint service automatically reviews and approves the endpoint within a few minutes. Use the GET method to retrieve the latest endpoint state.
An endpoint can be used only after it reaches the APPROVED state.
API scopes: provisioning
Parameters
- parentstringpath
The parent resource name of the account under which the endpoint is created. Format:
accounts/{account_id}.
Request body
- endpointobject
Show child attributesHide child attributes
- namestring
The resource name of the endpoint, which uniquely identifies the endpoint.
- endpoint_idstring
The unique identifier for this endpoint under the account. This field is a UUID generated by <Databricks>.
- account_idstring
The Databricks Account in which the endpoint object exists.
- display_namestring
The human-readable display name of this endpoint. The input should conform to RFC-1034, which restricts to letters, numbers, and hyphens, with the first character a letter, the last a letter or a number, and a 63 character maximum.
- use_casestring
The use case that determines the type of network connectivity this endpoint provides. This field is automatically determined based on the endpoint configuration and cloud-specific settings.
- regionstring
The cloud provider region where this endpoint is located.
- statestring
The state of the endpoint. The endpoint can only be used if the state is
APPROVED.
- azure_private_endpoint_infoobjectRequired
Info for an Azure private endpoint.
Show child attributesHide child attributes
- private_endpoint_namestring
The name of the Private Endpoint in the Azure subscription.
- private_endpoint_resource_guidstring
The GUID of the Private Endpoint resource in the Azure subscription. This is assigned by Azure when the user sets up the Private Endpoint.
- private_endpoint_resource_idstring
The full resource ID of the Private Endpoint.
- private_link_service_idstring
The resource ID of the Databricks Private Link Service that this Private Endpoint connects to.
- create_timestring
The timestamp when the endpoint was created. The timestamp is in RFC 3339 format in UTC timezone.
Response
Returns the Endpoint object.
Delete GA
DELETE
Deletes a network endpoint. This will remove the endpoint configuration from <Databricks>. Depending on the endpoint type and use case, you may also need to delete corresponding network resources in your cloud provider account.
API scopes: provisioning
Parameters
- namestringpath